madkit.message

## Class EnumMessage<E extends Enum<E>>

- java.lang.Object
- - madkit.kernel.Message
  - - madkit.message.ObjectMessage<Object[]>
    - - madkit.message.EnumMessage<E>

- All Implemented Interfaces:
    Serializable, Cloneable
  Direct Known Subclasses:
    GUIMessage, KernelMessage, SchedulingMessage

      public class EnumMessage<E extends Enum<E>>
      extends ObjectMessage<Object[]>

  This parameterizable class could be used to build a message tagged with an enumeration and conveying any java objects using an array of Object.
  Since:
    MaDKit 5.0.0.14
  Version:
    5.0
  Author:
    Fabien Michel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnumMessage(E code, Object... parameters)` Builds a message with the specified content

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `getCode()`
    `String` | `toString()`

    - ### Methods inherited from class madkit.message.ObjectMessage

      `getContent, max, min, sort`

    - ### Methods inherited from class madkit.kernel.Message

      `clone, getConversationID, getReceiver, getSender`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnumMessage

          public EnumMessage(E code,
                             Object... parameters)

      Builds a message with the specified content
      Parameters:
        `code` - an enum constant of type E
        `parameters` - a list of objects

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ObjectMessage<Object[]>`
      See Also:
        `Message.toString()`

    - #### getCode

          public E getCode()

      Returns:
        the enum constant which has been used to construct this message

Fabien Michel, Olivier Gutknecht, Jacques Ferber - September 27 2016